/* function to find the mean and standard deviation
   for each column of numbers
   in a single pass through a file
   using the method of provisional means */

#include<stdio.h>
#include <string.h>
#include<math.h>

#define MAXLINE 1025
#define MAXCOL 100

/* void strip_trailing_white(char *buf) */
/* { */
/*   int i=0; */
  
/*   while(buf[i] != '\0') */
/*     i++; */
/*   i-=1; */
/*   while(isspace(buf[i])) */
/*     buf[i--] = '\0'; */
/* } */

int main(void)
{

  char buf[MAXLINE+1],*s,*tok;
  double x, newmean[MAXCOL], oldmean[MAXCOL], sumsq[MAXCOL];
  int num_col=0,n,i;

  /* read in first line */
  if(fgets(buf,MAXLINE+1,stdin)) {
/*     strip_trailing_white(buf); */
    s = buf;
    num_col=0;
    while(tok=strtok(s," \t\n")) {
      sscanf(tok,"%lf",&x);
      newmean[num_col] = oldmean[num_col] = x;
      sumsq[num_col++] = 0.;
      s = NULL;
    }
  }
  else {
    fprintf(stderr,"Error: Cannot read first line of input\n");
    exit(1);
  }
  n=1;
  
  /* read in rest of file */
  i=0;
  while(scanf("%lf",&x)!=EOF) {
    if(i==0)
      n++;
    newmean[i] = oldmean[i] + (x - oldmean[i]) / (double) n;
    sumsq[i] += (x - oldmean[i]) * (x - newmean[i]);
    oldmean[i] = newmean[i];
    i = ((i+1) % num_col);
  }
  for(i=0;i<num_col;i++)
   printf("%lf +/- %lf\n",newmean[i],sqrt(sumsq[i]/(double)(n-1)));
  return 0;
}
